table_row(3)

NAME
table_row -

Helps you implement a table shared across two or more subagents, or otherwise split into individual row slices.

  Functions
netsnmp_mib_handler * netsnmp_table_row_handler_get (void *row)
returns a netsnmp_mib_handler object for the table_container helper
int netsnmp_table_row_register (netsnmp_handler_registration *reginfo, netsnmp_table_registration_info *tabreg, void *row, netsnmp_variable_list *index)
void * netsnmp_table_row_extract (netsnmp_request_info *request)
return the row data structure supplied to the table_row helper

Detailed Description

Helps you implement a table shared across two or more subagents, or otherwise split into individual row slices.

Function Documentation

  void* netsnmp_table_row_extract (netsnmp_request_info * request)

return the row data structure supplied to the table_row helper

Definition at line 158 of file table_row.c.

  netsnmp_mib_handler* netsnmp_table_row_handler_get (void * row)

returns a netsnmp_mib_handler object for the table_container helper

Definition at line 75 of file table_row.c.

Author

Generated automatically by Doxygen for net-snmp from the source code.